// NSServGUIDlg.h : header file
//
#include "winsvc.h"

#if !defined(AFX_NSSERVGUIDLG_H__CE8A2BF7_F1F2_11D3_B36D_0020183B9DA5__INCLUDED_)
#define AFX_NSSERVGUIDLG_H__CE8A2BF7_F1F2_11D3_B36D_0020183B9DA5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CNSServGUIDlg dialog

class CNSServGUIDlg : public CDialog
{
// Construction
public:
	void UpdateControls();
	BOOL CheckFiles();
	void SetStartupType(DWORD type);
	void GetServiceConfig();
	void ApplyChanges();
	char iniFileLoc[256];
	char* m_winDir;
	int ReadLine(char* str, int strSize, HANDLE hFile);
	int ReadInitData(char *passwd, int &port, int& loglevel);
	CNSServGUIDlg(CWnd* pParent = NULL);	// standard constructor

	void OnStatusChanged(WPARAM wParam, LPARAM lParam);

// Dialog Data
	//{{AFX_DATA(CNSServGUIDlg)
	enum { IDD = IDD_NSSERVGUI_DIALOG };
	CString	m_key;
	int		m_port;
	CString	m_szStatus;
	int		m_startupType;
	int		m_LogfileLevel;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNSServGUIDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNSServGUIDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnStart();
	afx_msg void OnBtnPause();
	afx_msg void OnBtnStop();	
	afx_msg void OnSetfocusEditPort();
	afx_msg void OnCancel();
	virtual void OnOK();
	afx_msg void OnBtnInstall();
	afx_msg void OnBtnRemove();
	afx_msg void OnBtnContinue();
	afx_msg void OnBtnApply();
	afx_msg void OnChangeEditKey();
	afx_msg void OnChangeEditPort();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnKillfocusEditPort();
	afx_msg void OnKillfocusEditKey();
	afx_msg void OnLevelError();
	afx_msg void OnLevelWarning();
	afx_msg void OnLevelInfo();
	afx_msg void OnLevelDebug();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:	
	bool exit;
	void Cleanup();
	bool		change;	
	CEdit		*m_pKey;
	CEdit		*m_pPort;
	CButton		*m_btnStart;
	CButton		*m_btnStop;
	CButton		*m_btnPause;
	CButton		*m_btnContinue;
	CButton		*m_btnInstall;
	CButton		*m_btnRemove;
	CButton		*m_btnApply;
	CButton		*m_btnManual;
	CButton		*m_btnAutomatic;
	CButton		*m_btnDisable;
	int			oldPort;
  int			oldLogLevel;
	char		key[20];
	char		port[5];
	HANDLE		hChkStatThrd;
	DWORD		dwChkStatThrdID;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NSSERVGUIDLG_H__CE8A2BF7_F1F2_11D3_B36D_0020183B9DA5__INCLUDED_)
