
#ifndef PurifyINCLUDED
#define PurifyINCLUDED

/*
** $Source: \\\\DUMBO\\iris\\riskpro_rcs_sources\\dumbo\\iris\\risk\\src\\MAIN\\purify.h,v $
** $Revision: 1.4 $
** $Author: cli $
**
** $Locker:  $
**
** Reviewed:       <Someone>
** Rel. Documents: <To define>
** Short descr:    <To define>
**
** *********************************************************************
** Copyright 1996 - 1999
** IRIS integrated risk management ag (Switzerland)
**
**     Warning:
** This computer program developed by Linkvest SA (Switzerland) for
** IRIS integrated risk management ag is owned fully and exclusively
** by IRIS integrated risk management ag. It is protected by copyright
** law and international treaties. Unauthorized reproduction or use of
** this program or any portion of it, may result in severe civil and
** criminal penalties and will be presented to the maximum extent
** possible under the law.
** *********************************************************************
**
** Revision HISTORY:
**
** $Log: purify.h,v $
** Revision 1.4  1999-10-14 10:14:11+02  cli
** Copyright updating (PTS id 2824)
**
** Revision 1.3  1999-08-11 15:09:45+02  fme
** Add purify logging
**
** Revision 1.2  1999-08-10 18:16:09+02  jec
** Made a Purify wrapper with enhanced functions
**
** Revision 1.1  1999-08-10 17:33:28+02  jec
** Initial revision
**
**
**
** END Revision HISTORY
*/


#include "global/global.h"


class Fn_SString;

class Purify
{
public:

    static IrsBoolean IsRunning();
    static void FindNewLeaks();
    static void FindNewLeaksIfNeeded();
    static void FindNewLeaksIfNeeded(IrsInt nbMinutes);

    static void Print(const Fn_SString& str);
    static void PrintAndFindNewLeaksIfNeeded(const Fn_SString& str);
    static void PrintAndFindNewLeaksIfNeeded(const Fn_SString& str, IrsInt nbMinutes);

protected:

    Purify();
    ~Purify();

private:
    
    static IrsInt nbMinutesBeforeSearch_;

};

#endif
 
/*-------------------------< End of file $RCSfile: purify.h,v $ >-------------------------*/
 
