
#ifndef ERR_H
#define ERR_H


#include <iostream.h>
#include <fstream.h>
#include <string.h>
#include <time.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/timeb.h>



#define NOERR				            100
#define ERR_AUTHENTICATION		  101
#define ERR_NOINIFILE			      102
#define ERR_CPULOAD_INTERVAL	  103
#define ERR_PASSWDSIZE			    104
#define ERR_NO_SUCH_MESSAGE		  105
#define ERR_SOCKETINIT			    106
#define ERR_BIND				        107
#define ERR_CREATE_PIPE			    108
#define ERR_CREATE_PROCESS		  109
#define ERR_OPEN_QUERY			    110
#define ERR_CONNECT_PIPE		    111
#define ERR_MAKE_COUNTER_PATH	  112
#define ERR_ADD_COUNTER			    113
#define ERR_COLLECT_QUERY_DATA	114
#define ERR_FORMATTED_COUNTER	  115
#define ERR_BUILD_PROCLIST		  116
#define ERR_CREATE_THREAD		    117
#define ERR_SOCKET				      118
#define ERR_PORT				        119
#define ERR_CPULOAD_THRD		    120
#define ERR_FILESIZE			      121
#define ERR_FILEFORMAT			    122
#define ERR_DIRECTORY			      123
#define ERR_GETDIR				      124
#define ERR_BUFFER_TOO_SMALL  	125
#define ERR_GET_DISK_SPACE      126
#define ERR_WRONG_INPUT_BUFFER  127
#define ERR_WRONG_ARGUMENTS	128








void DEBUG(const char* format, ...);
void NO_DEBUG(const char* format, ...);
#ifdef NSDEBUG
  #define debug DEBUG
#else
  #define debug NO_DEBUG
#endif





#endif
